List installations

This calls enables you to export all installations, or only a subset of them.

Query Params
fields
array of strings

Comma separated list of fields to return.

fields
int32
Defaults to 0

The number of first results to skip. Ignored when no sorting is provided. For an efficient deep pagination, always start at 0.

int32
Defaults to 50

The number of results to return, or 0 for counting only the results. This number may be adjusted for efficient deep paginations. The actual number of results may be less for the last few pages of an efficient deep pagination.

string

The cursor identifier for fetching the next result page. You should always use the whole URL provided in the pagination.next field of the previous request response. Do not try to reuse this identifier if changing the other parameters, as it is bound to them.

string
Defaults to none

How to sort the results. You can sort on multiple fields. For efficient deep pagination, you should use "none". Eg.: "-creationDate" will give you the most recent installations, "userId,creationDate" will list the installations in chronological order, one user after an other.

userIds
array of strings

The userIds of the installations to list. Give an empty value for null, listing only anonymous installations. Give @EACH to match any non-null value, listing only non-anonymous installations. Omit the parameter not to filter.

userIds
string

The minimum creationDate of the installations to list.

string

The maximum creationDate of the installations to list.

string

The minimum updateDate of the installations to list.

string

The maximum updateDate of the installations to list.

reachability
array of strings

The reachability states of the installations to list. Can be one or multiple values among: optIn, optOut or softOptOut.

reachability
platforms
array of strings

The platforms of the installations to list.

platforms
string

Optional view id to apply over all segments defined in the Full view. All segments must use the same view, or the call will be refused.

string

Segment ids the installations to list must match. Every segment must share the same view id. This parameter cannot be used with criteria. You can prefix ids with a + to make them mandatory, or a - to make them forbidden, otherwise a segment is optional. An installation must match all mandatory segments, no forbidden segments and at least one optional segment to be listed.

json
Defaults to {}

JSON dictionary of parameters with their associated values to be applied to the segment. Providing a value to a parameter foo will replace all occurences of {{foo}} with the given value. If you use multiple segments and want to give different values to parameters using the same name, you can give an JSON array of dictionnaries, respecting the order of the segments given in segmentIds. Segments that need no parameters can use null or an empty object.

string

Tags the installations to list must have. You can prefix tags with a + to make them mandatory, or a - to make them forbidden, otherwise a tag is optional. An installation must match all mandatory tags, no forbidden tags and at least one optional tag to be listed.

Response

Language
Credentials
Query
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json